package cn.rankin.userservice.controller;

import cn.rankin.data.api.user.dto.QRCodeDTO;
import cn.rankin.data.api.user.entity.QRCode;
import cn.rankin.userservice.service.QRCodeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping(value = "/qrcode")
public class QRCodeController {

    @Autowired
    private QRCodeService qrcodeService;

    @RequestMapping(method = RequestMethod.POST)
    public QRCode add(@RequestBody QRCodeDTO dto) {
        return qrcodeService.add(dto);
    }

    @RequestMapping(value = "/last", method = RequestMethod.GET)
    public QRCode findLastOne(@RequestParam("eid") String eid ){
        return qrcodeService.findLastOne(eid);
    }

}
